[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.GetParamList

Fetch a list of TParam instances

## Declaration

Source position: db.pas line 1238

`public procedure TParams.GetParamList(`
`List: TList;`
`const ParamNames: string`
`);`

## Arguments

`List` |  | List to add TParam instances to.
`ParamNames` |  | Semicolon-separated list of parameter names.

## Description

GetParamList examines the parameter names in the semicolon-separated list ParamNames. It searches each TParam instance from the names in the list and adds it to List.

## Errors

If the ParamNames list contains an unknown parameter name, then an exception is raised. Whitespace is not discarded.

## See also

TParam |  | Parameter description class
TParam.Name |  | Name of the parameter
TParams.ParamByName |  | Return a parameter by name

Documentation generated on: Feb 26 2014